Upstream information

CVE-2018-20217 at MITRE

Description

A Reachable Assertion issue was discovered in the KDC in MIT Kerberos 5 (aka krb5) before 1.17. If an attacker can obtain a krbtgt ticket using an older encryption type (single-DES, triple-DES, or RC4), the attacker can crash the KDC by making an S4U2Self request.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.5
Vector AV:N/AC:M/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 6.5
Vector CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity High Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1120489 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/default-http-backend:beta1
Container caasp/v4/dnsmasq-nanny:2.78
Container caasp/v4/flannel:0.9.1
Container caasp/v4/haproxy:beta1
Container caasp/v4/kubedns:beta1
Container caasp/v4/nginx-ingress-controller:beta1
Container caasp/v4/openldap:beta1
Container caasp/v4/pause:1.0.0
Container caasp/v4/pv-recycler-node:8.25
Container caasp/v4/salt-api:beta1
Container caasp/v4/salt-master:beta1
Container caasp/v4/salt-minion:beta1
Container caasp/v4/sidecar:beta1
Container caasp/v4/velum:4.0.0
Container suse/sles12sp4:latest
Container suse/sles12sp5:latest
  • krb5 >= 1.12.5-40.31.1
Container suse/sle15:15.0
Image SLES15-EC2-CHOST-HVM-BYOS
  • krb5 >= 1.15.2-6.3.1
Openstack Cloud Magnum Orchestration 7
  • krb5 >= 1.12.5-40.31.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2019-111
SUSE CaaS Platform 3.0
  • krb5 >= 1.12.5-40.31.1
Patchnames:
SUSE-CAASP-3.0-2019-111
SUSE CaaS Platform ALL
  • krb5 >= 1.12.5-40.31.1
Patchnames:
SUSE-CAASP-ALL-2019-111
SUSE Enterprise Storage 4
  • krb5 >= 1.12.5-40.31.1
  • krb5-32bit >= 1.12.5-40.31.1
  • krb5-client >= 1.12.5-40.31.1
  • krb5-doc >= 1.12.5-40.31.1
  • krb5-plugin-kdb-ldap >= 1.12.5-40.31.1
  • krb5-plugin-preauth-otp >= 1.12.5-40.31.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-40.31.1
  • krb5-server >= 1.12.5-40.31.1
Patchnames:
SUSE-Storage-4-2019-111
SUSE Linux Enterprise Build System Kit 12 SP3
  • krb5-mini >= 1.12.5-40.31.1
  • krb5-mini-devel >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-BSK-12-SP3-2019-111
SUSE Linux Enterprise Build System Kit 12 SP4
  • krb5-mini >= 1.12.5-40.31.1
  • krb5-mini-devel >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-BSK-12-SP4-2019-111
SUSE Linux Enterprise Desktop 12 SP3
  • krb5 >= 1.12.5-40.31.1
  • krb5-32bit >= 1.12.5-40.31.1
  • krb5-client >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-111
SUSE Linux Enterprise Desktop 12 SP4
  • krb5 >= 1.12.5-40.31.1
  • krb5-32bit >= 1.12.5-40.31.1
  • krb5-client >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-111
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • krb5 >= 1.12.5-40.37.7
  • krb5-32bit >= 1.12.5-40.37.7
  • krb5-client >= 1.12.5-40.37.7
  • krb5-doc >= 1.12.5-40.37.7
  • krb5-plugin-kdb-ldap >= 1.12.5-40.37.7
  • krb5-plugin-preauth-otp >= 1.12.5-40.37.7
  • krb5-plugin-preauth-pkinit >= 1.12.5-40.37.7
  • krb5-server >= 1.12.5-40.37.7
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • krb5 >= 1.16.3-1.16
  • krb5-32bit >= 1.16.3-1.16
  • krb5-client >= 1.16.3-1.16
  • krb5-devel >= 1.16.3-1.16
  • krb5-plugin-preauth-otp >= 1.16.3-1.16
  • krb5-plugin-preauth-pkinit >= 1.16.3-1.16
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • krb5 >= 1.16.3-3.6.1
  • krb5-32bit >= 1.16.3-3.6.1
  • krb5-client >= 1.16.3-3.6.1
  • krb5-devel >= 1.16.3-3.6.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.6.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.6.1
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • krb5 >= 1.16.3-3.15.1
  • krb5-32bit >= 1.16.3-3.15.1
  • krb5-client >= 1.16.3-3.15.1
  • krb5-devel >= 1.16.3-3.15.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.15.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.15.1
SUSE Linux Enterprise Module for Basesystem 15
  • krb5 >= 1.15.2-6.3.1
  • krb5-32bit >= 1.15.2-6.3.1
  • krb5-client >= 1.15.2-6.3.1
  • krb5-devel >= 1.15.2-6.3.1
  • krb5-plugin-preauth-otp >= 1.15.2-6.3.1
  • krb5-plugin-preauth-pkinit >= 1.15.2-6.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-94
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • krb5-mini >= 1.15.2-6.3.1
  • krb5-mini-devel >= 1.15.2-6.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-94
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • krb5-plugin-kdb-ldap >= 1.16.3-1.16
  • krb5-server >= 1.16.3-1.16
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • krb5-plugin-kdb-ldap >= 1.16.3-3.6.1
  • krb5-server >= 1.16.3-3.6.1
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • krb5-plugin-kdb-ldap >= 1.16.3-3.15.1
  • krb5-server >= 1.16.3-3.15.1
SUSE Linux Enterprise Module for Server Applications 15
  • krb5-plugin-kdb-ldap >= 1.15.2-6.3.1
  • krb5-server >= 1.15.2-6.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-94
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • krb5 >= 1.12.5-40.31.1
  • krb5-32bit >= 1.12.5-40.31.1
  • krb5-client >= 1.12.5-40.31.1
  • krb5-doc >= 1.12.5-40.31.1
  • krb5-plugin-kdb-ldap >= 1.12.5-40.31.1
  • krb5-plugin-preauth-otp >= 1.12.5-40.31.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-40.31.1
  • krb5-server >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-111
SUSE Linux Enterprise Server 12 SP1-LTSS
  • krb5 >= 1.12.1-38.13.2
  • krb5-32bit >= 1.12.1-38.13.2
  • krb5-client >= 1.12.1-38.13.2
  • krb5-doc >= 1.12.1-38.13.2
  • krb5-plugin-kdb-ldap >= 1.12.1-38.13.2
  • krb5-plugin-preauth-otp >= 1.12.1-38.13.2
  • krb5-plugin-preauth-pkinit >= 1.12.1-38.13.2
  • krb5-server >= 1.12.1-38.13.2
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-113
SUSE Linux Enterprise Server 12 SP2-BCL
  • krb5 >= 1.12.5-40.31.1
  • krb5-32bit >= 1.12.5-40.31.1
  • krb5-client >= 1.12.5-40.31.1
  • krb5-doc >= 1.12.5-40.31.1
  • krb5-plugin-kdb-ldap >= 1.12.5-40.31.1
  • krb5-plugin-preauth-otp >= 1.12.5-40.31.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-40.31.1
  • krb5-server >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-111
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • krb5 >= 1.12.5-40.31.1
  • krb5-32bit >= 1.12.5-40.31.1
  • krb5-client >= 1.12.5-40.31.1
  • krb5-doc >= 1.12.5-40.31.1
  • krb5-plugin-kdb-ldap >= 1.12.5-40.31.1
  • krb5-plugin-preauth-otp >= 1.12.5-40.31.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-40.31.1
  • krb5-server >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-111
SUSE Linux Enterprise Server 12 SP2-LTSS
  • krb5 >= 1.12.5-40.31.1
  • krb5-32bit >= 1.12.5-40.31.1
  • krb5-client >= 1.12.5-40.31.1
  • krb5-doc >= 1.12.5-40.31.1
  • krb5-plugin-kdb-ldap >= 1.12.5-40.31.1
  • krb5-plugin-preauth-otp >= 1.12.5-40.31.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-40.31.1
  • krb5-server >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-111
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • krb5 >= 1.12.5-40.31.1
  • krb5-32bit >= 1.12.5-40.31.1
  • krb5-client >= 1.12.5-40.31.1
  • krb5-doc >= 1.12.5-40.31.1
  • krb5-plugin-kdb-ldap >= 1.12.5-40.31.1
  • krb5-plugin-preauth-otp >= 1.12.5-40.31.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-40.31.1
  • krb5-server >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-111
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • krb5 >= 1.12.5-40.31.1
  • krb5-32bit >= 1.12.5-40.31.1
  • krb5-client >= 1.12.5-40.31.1
  • krb5-doc >= 1.12.5-40.31.1
  • krb5-plugin-kdb-ldap >= 1.12.5-40.31.1
  • krb5-plugin-preauth-otp >= 1.12.5-40.31.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-40.31.1
  • krb5-server >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-111
SUSE Linux Enterprise Server 12-LTSS
  • krb5 >= 1.12.1-38.13.2
  • krb5-32bit >= 1.12.1-38.13.2
  • krb5-client >= 1.12.1-38.13.2
  • krb5-doc >= 1.12.1-38.13.2
  • krb5-plugin-kdb-ldap >= 1.12.1-38.13.2
  • krb5-plugin-preauth-otp >= 1.12.1-38.13.2
  • krb5-plugin-preauth-pkinit >= 1.12.1-38.13.2
  • krb5-server >= 1.12.1-38.13.2
Patchnames:
SUSE-SLE-SERVER-12-2019-113
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • krb5 >= 1.12.1-38.13.2
  • krb5-32bit >= 1.12.1-38.13.2
  • krb5-client >= 1.12.1-38.13.2
  • krb5-doc >= 1.12.1-38.13.2
  • krb5-plugin-kdb-ldap >= 1.12.1-38.13.2
  • krb5-plugin-preauth-otp >= 1.12.1-38.13.2
  • krb5-plugin-preauth-pkinit >= 1.12.1-38.13.2
  • krb5-server >= 1.12.1-38.13.2
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-113
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • krb5 >= 1.12.5-40.31.1
  • krb5-32bit >= 1.12.5-40.31.1
  • krb5-client >= 1.12.5-40.31.1
  • krb5-doc >= 1.12.5-40.31.1
  • krb5-plugin-kdb-ldap >= 1.12.5-40.31.1
  • krb5-plugin-preauth-otp >= 1.12.5-40.31.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-40.31.1
  • krb5-server >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-111
SUSE Linux Enterprise Software Development Kit 12 SP3
  • krb5-devel >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-111
SUSE Linux Enterprise Software Development Kit 12 SP4
  • krb5-devel >= 1.12.5-40.31.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-111
SUSE Linux Enterprise Software Development Kit 12 SP5
  • krb5-devel >= 1.12.5-40.37.7
SUSE OpenStack Cloud 7
  • krb5 >= 1.12.5-40.31.1
  • krb5-32bit >= 1.12.5-40.31.1
  • krb5-client >= 1.12.5-40.31.1
  • krb5-doc >= 1.12.5-40.31.1
  • krb5-plugin-kdb-ldap >= 1.12.5-40.31.1
  • krb5-plugin-preauth-otp >= 1.12.5-40.31.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-40.31.1
  • krb5-server >= 1.12.5-40.31.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-111
openSUSE Leap 15.0
  • krb5 >= 1.15.2-lp150.5.3.1
  • krb5-32bit >= 1.15.2-lp150.5.3.1
  • krb5-client >= 1.15.2-lp150.5.3.1
  • krb5-devel >= 1.15.2-lp150.5.3.1
  • krb5-devel-32bit >= 1.15.2-lp150.5.3.1
  • krb5-mini >= 1.15.2-lp150.5.3.1
  • krb5-mini-devel >= 1.15.2-lp150.5.3.1
  • krb5-plugin-kdb-ldap >= 1.15.2-lp150.5.3.1
  • krb5-plugin-preauth-otp >= 1.15.2-lp150.5.3.1
  • krb5-plugin-preauth-pkinit >= 1.15.2-lp150.5.3.1
  • krb5-server >= 1.15.2-lp150.5.3.1
Patchnames:
openSUSE-2019-63
openSUSE Tumbleweed
  • krb5 >= 1.19.2-3.1
  • krb5-32bit >= 1.19.2-3.1
  • krb5-client >= 1.19.2-3.1
  • krb5-devel >= 1.19.2-3.1
  • krb5-devel-32bit >= 1.19.2-3.1
  • krb5-plugin-kdb-ldap >= 1.19.2-3.1
  • krb5-plugin-preauth-otp >= 1.19.2-3.1
  • krb5-plugin-preauth-pkinit >= 1.19.2-3.1
  • krb5-plugin-preauth-spake >= 1.19.2-3.1
  • krb5-server >= 1.19.2-3.1
Patchnames:
openSUSE Tumbleweed GA krb5-1.19.2-3.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 krb5 In progress
Magnum Orchestration krb5 Released
SLES for SAP Applications krb5 Not affected
SUSE CaaS Platform 3.0 krb5 Released
SUSE CaaS Platform 4.0 krb5 Already fixed
SUSE Container as a Service Platform 1.0 krb5 Released
SUSE Container as a Service Platform 2.0 krb5 Released
SUSE Enterprise Storage 6 krb5 Already fixed
SUSE Linux Enterprise Desktop 12 SP3 krb5 Released
SUSE Linux Enterprise Desktop 12 SP4 krb5 Released
SUSE Linux Enterprise High Performance Computing 12 SP4 krb5 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 krb5 In progress
SUSE Linux Enterprise High Performance Computing 15 LTSS krb5 In progress
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS krb5 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 krb5 Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 krb5 Already fixed
SUSE Linux Enterprise Module for Server Applications 15 krb5 Released
SUSE Linux Enterprise Module for Server Applications 15 SP2 krb5 Already fixed
SUSE Linux Enterprise Server 11 SP3 LTSS krb5 Not affected
SUSE Linux Enterprise Server 11 SP4 krb5 Not affected
SUSE Linux Enterprise Server 12 LTSS krb5 Released
SUSE Linux Enterprise Server 12 SP1 LTSS krb5 Released
SUSE Linux Enterprise Server 12 SP2 LTSS krb5 Released
SUSE Linux Enterprise Server 12 SP3 krb5 Released
SUSE Linux Enterprise Server 12 SP3 ESPOS krb5 In progress
SUSE Linux Enterprise Server 12 SP3 LTSS krb5 In progress
SUSE Linux Enterprise Server 12 SP4 krb5 Released
SUSE Linux Enterprise Server 12 SP4 ESPOS krb5 In progress
SUSE Linux Enterprise Server 12 SP4 LTSS krb5 In progress
SUSE Linux Enterprise Server 12 SP5 krb5 In progress
SUSE Linux Enterprise Server 15 ESPOS krb5 In progress
SUSE Linux Enterprise Server 15 LTSS krb5 In progress
SUSE Linux Enterprise Server 15 SP1 LTSS krb5 Already fixed
SUSE Linux Enterprise Server BCL 12 SP2 krb5 In progress
SUSE Linux Enterprise Server BCL 12 SP3 krb5 In progress
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 krb5 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 krb5 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 krb5 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 krb5 In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 krb5 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 krb5 In progress
SUSE Linux Enterprise Server for SAP Applications 15 krb5 In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP1 krb5 Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 krb5 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 krb5 Released
SUSE Linux Enterprise Software Development Kit 12 SP4 krb5 Released
SUSE Manager Proxy 4.0 krb5 Already fixed
SUSE Manager Retail Branch Server 4.0 krb5 Already fixed
SUSE Manager Server 4.0 krb5 Already fixed
SUSE OpenStack Cloud 8 krb5 In progress
SUSE OpenStack Cloud 9 krb5 In progress
SUSE OpenStack Cloud Crowbar 8 krb5 In progress
SUSE OpenStack Cloud Crowbar 9 krb5 In progress